#!/bin/sh

# Проверяем наличие Java в системе
if ! which java >/dev/null 2>&1; then
    echo "Java not found. Please install java, openjdk or JRE" >&2
    exit 1
fi

# Получаем полный путь к текущему скрипту
SCRIPT_PATH="$0"

# Запускаем Java с текущим скриптом как параметром и всеми переданными аргументами
java -jar "$SCRIPT_PATH" $@

exit


